function runscript()
	storewindow();
	graphic("machine-gun");
	speaker("");
	musvol(0);
	sound("getitem", CHAN_SCRIPTED);
	timedsay("Obtained the Machine Gun!", 200);
	say("The Machine Gun can be fired by holding [Attack].");
	say("The recoil can affect your jump while aiming up or down.");
	musvol(100);
	musres();
	giveweapon(WEAPON_MACHINEGUN);
	equip(WEAPON_MACHINEGUN);
	restorewindow();
	destroy ("machine-gun");
end